# Created by pyp2rpm-3.2.2
%global pypi_name py-vapid

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        1%{?dist}
Summary:        Simple VAPID header generation library

License:        MPL2
URL:            https://github.com/mozilla-services/vapid
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-coverage
BuildRequires:  python3-mock >= 1.0.1
BuildRequires:  python3-flake8
BuildRequires:  python3-setuptools

%description
Easy VAPID generation This minimal library contains the minimal set of
functions you need to generate a VAPID key set and get the headers you'll need
to sign a WebPush subscription update.VAPID is a voluntary standard for WebPush
subscription providers (sites that send WebPush updates to remote customers) to
selfidentify to Push Servers (the servers that convey the push
notifications).The...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-ecdsa >= 0.13
Requires:       python3-cryptography >= 1.8.2
%description -n python3-%{pypi_name}
Easy VAPID generation This minimal library contains the minimal set of
functions you need to generate a VAPID key set and get the headers you'll need
to sign a WebPush subscription update.VAPID is a voluntary standard for WebPush
subscription providers (sites that send WebPush updates to remote customers) to
selfidentify to Push Servers (the servers that convey the push
notifications).The...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
cp %{buildroot}/%{_bindir}/vapid %{buildroot}/%{_bindir}/vapid-%{python3_version}
ln -s %{_bindir}/vapid-%{python3_version} %{buildroot}/%{_bindir}/vapid-3


%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst README.md
%{_bindir}/vapid
%{_bindir}/vapid-3
%{_bindir}/vapid-%{python3_version}
%{python3_sitelib}/py_vapid
%{python3_sitelib}/py_vapid-%{version}-py?.?.egg-info

%changelog
* Mon Oct 21 2019 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.7.0-1
- Update to upstream.

* Thu May 02 2019 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.3.0-2
- Removed python2 support.

* Sat Jan 27 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.3.0-1
- Initial package.